Snapshot
All operations require authentication.
List snapshotsProduction
Returns the file storage snapshots of the project.
Path parameters
Project ID
Query parameters
Filter by source file storage ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "checksum": "string",4 "createdAt": "2024-01-01T12:00:00Z",5 "currentState": {6 "description": "string",7 "location": {8 "availabilityZone": "string",9 "region": "string"10 },11 "name": "string",12 "share": {13 "id": "00000000-0000-0000-0000-000000000000"14 },15 "size": 016 },17 "currentTasks": [18 {19 "errors": [20 {21 "message": "string"22 }23 ],24 "id": "00000000-0000-0000-0000-000000000000",25 "link": "string",26 "status": "ERROR",27 "type": "string"28 }29 ],30 "id": "00000000-0000-0000-0000-000000000000",31 "resourceStatus": "CREATING",32 "targetSpec": {33 "description": "string",34 "name": "string",35 "share": {36 "id": "00000000-0000-0000-0000-000000000000"37 }38 },39 "updatedAt": "2024-01-01T12:00:00Z"40 }41]
Get a snapshotProduction
Returns the snapshot and its current state, including its size and source file storage.
Path parameters
Project ID
Snapshot ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ snapshot/ {snapshotId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "share": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "size": 015 },16 "currentTasks": [17 {18 "errors": [19 {20 "message": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "link": "string",25 "status": "ERROR",26 "type": "string"27 }28 ],29 "id": "00000000-0000-0000-0000-000000000000",30 "resourceStatus": "CREATING",31 "targetSpec": {32 "description": "string",33 "name": "string",34 "share": {35 "id": "00000000-0000-0000-0000-000000000000"36 }37 },38 "updatedAt": "2024-01-01T12:00:00Z"39}
Create a snapshotProduction
Creates a snapshot of a file storage. A new file storage can then be created from it.
Path parameters
Project ID
Request body (required)
Desired target specification for the snapshot
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "share": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "size": 015 },16 "currentTasks": [17 {18 "errors": [19 {20 "message": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "link": "string",25 "status": "ERROR",26 "type": "string"27 }28 ],29 "id": "00000000-0000-0000-0000-000000000000",30 "resourceStatus": "CREATING",31 "targetSpec": {32 "description": "string",33 "name": "string",34 "share": {35 "id": "00000000-0000-0000-0000-000000000000"36 }37 },38 "updatedAt": "2024-01-01T12:00:00Z"39}
Delete a snapshotProduction
Deletes the snapshot.
Path parameters
Project ID
Snapshot ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ snapshot/ {snapshotId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "share": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "size": 015 },16 "currentTasks": [17 {18 "errors": [19 {20 "message": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "link": "string",25 "status": "ERROR",26 "type": "string"27 }28 ],29 "id": "00000000-0000-0000-0000-000000000000",30 "resourceStatus": "CREATING",31 "targetSpec": {32 "description": "string",33 "name": "string",34 "share": {35 "id": "00000000-0000-0000-0000-000000000000"36 }37 },38 "updatedAt": "2024-01-01T12:00:00Z"39}
Update a snapshotProduction
Updates the snapshot name and description. Send the current checksum to prevent overwriting a concurrent change.
Path parameters
Project ID
Snapshot ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the snapshot
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current observed state of the snapshot from the infrastructure
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ snapshot/ {snapshotId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "share": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "size": 015 },16 "currentTasks": [17 {18 "errors": [19 {20 "message": "string"21 }22 ],23 "id": "00000000-0000-0000-0000-000000000000",24 "link": "string",25 "status": "ERROR",26 "type": "string"27 }28 ],29 "id": "00000000-0000-0000-0000-000000000000",30 "resourceStatus": "CREATING",31 "targetSpec": {32 "description": "string",33 "name": "string",34 "share": {35 "id": "00000000-0000-0000-0000-000000000000"36 }37 },38 "updatedAt": "2024-01-01T12:00:00Z"39}